package com.tzld.piaoquan.api.dao.mapper.wecom.thirdpart;

import com.tzld.piaoquan.api.model.po.wecom.thirdpart.ThirdPartWeComStaffConfig;
import com.tzld.piaoquan.api.model.po.wecom.thirdpart.ThirdPartWeComStaffConfigExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ThirdPartWeComStaffConfigMapper {
    long countByExample(ThirdPartWeComStaffConfigExample example);

    int deleteByExample(ThirdPartWeComStaffConfigExample example);

    int deleteByPrimaryKey(String id);

    int insert(ThirdPartWeComStaffConfig record);

    int insertSelective(ThirdPartWeComStaffConfig record);

    List<ThirdPartWeComStaffConfig> selectByExample(ThirdPartWeComStaffConfigExample example);

    ThirdPartWeComStaffConfig selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") ThirdPartWeComStaffConfig record, @Param("example") ThirdPartWeComStaffConfigExample example);

    int updateByExample(@Param("record") ThirdPartWeComStaffConfig record, @Param("example") ThirdPartWeComStaffConfigExample example);

    int updateByPrimaryKeySelective(ThirdPartWeComStaffConfig record);

    int updateByPrimaryKey(ThirdPartWeComStaffConfig record);
}